FKME FLAM Key Management Exit (FKME) Service Provider Interface (SPI)

Macros | Typedefs
FKME.h File Reference

FKME - FLAM Key Management Exit. More...

Go to the source code of this file.

## Macros
#define | FLAMKME_FUCO_DECO 0
| Function code for decompression/decryption. More...
#define | FLAMKME_FUCO_COMP 1
| Function code for compression/encryption. More...
#define | FLAMKME_FUCO_CHNG 2
| Function code for translation of the data key from one KEK to another. More...
#define | FLAMKME_FUCO_RENW 3
| Function code for renewal of the data key encryption. More...
#define | FLAMKME_FUCO_INFO 0xFFFFFFFF
| Function code to provide information. More...
#define | FLAMKME_SUCCESS 0
| Error code if success. More...
#define | FLAMKME_ERROR_SIZE 4
| Error code if size too small (need more space) More...
#define | FLAMKME_ERROR_ABORT 8
| Error code to abort operation. More...
#define | FLAMKME_DEFAULT_DATA_LEN 512
#define | FLAMKME_DEFAULT_MSG_LEN 128

## Typedefs
typedef void | TfFlamKme(const U32 *piFuco, I32 *piRetco, const U32 *piParLen, const C08 *pcParam, U32 *piDataLen, U08 *pcData, U32 *piKeyLen, U08 *pcKey, U32 *piMsgLen, C08 *pcMessage)
| FKME main function. More...

## Detailed Description

FKME - FLAM Key Management Exit.

Author
  limes datentechnik gmbh

Date
  22.04.2012

Copyright
  (c) 2018 limes datentechnik gmbh